La UI de configuración de Libgdx da 2 errores inesperados en el nuevo proyecto GWT

He ejecutado la configuración ui, sin embargo, tengo dos errores diferentes en el proyecto-html de lo que se describe en el tutorial: libgdx tutorial

El error tutorial declarado es el siguiente (que es un error que no veo):

Para solucionar el error del proyecto HTML5 / GWT, vaya a la vista "Problemas", haga clic con el botón derecho en el mensaje de error "El GWT SDK JAR gwt-servlet.jar falta en el directorio WEB-INF / lib" y seleccione "Quick Fix ". Haga clic en "Finalizar".

Los errores que tengo son:

El proyecto no fue construido ya que su camino de construcción es incompleto. No se puede encontrar el archivo de clase para com.google.gwt.core.client.EntryPoint. Corrige la ruta de construcción y luego intenta crear este proyecto …

El tipo com.google.gwt.core.client.EntryPoint no se puede resolver. Se hace referencia indirectamente a los archivos .class requeridos

¿Hay de todos modos puedo arreglar esto? Acabo de actualizar mi eclipse, también descargé la Versión 18 ADT, la revisión 19 para Android SDK Tools y la revisión 11 para Android SDK Platform-tools.

3 Solutions collect form web for “La UI de configuración de Libgdx da 2 errores inesperados en el nuevo proyecto GWT”

Tuve el mismo problema hace un par de semanas y lo consiguió instalando el SDK de GWT .

Sé que el post es viejo, pero mientras que la respuesta de @Rod estaba cerca de resolver mi problema, no lo hizo completamente. Después de instalar el complemento en su respuesta recibí 3 mensajes de error en lugar de dos: los mismos anteriores y uno nuevo.

Mirar dentro de la clase que estaba dando el problema hizo que Eclipse apuntara directamente al problema: el cumplimiento del compilador debía ser 1,5 o mayor pero Eclipse tenía por defecto 1.4. Lo cambié a través de Ventana> Preferencias> Java> Compilador> Nivel de cumplimiento del compilador , donde puse el correcto, 1.7, y todo compilado de forma limpia.

PS: Gracias @Rod

Utilice el http://dl.google.com/eclipse/plugin/4.2 para instalar el complemento en eclipse

En lugar de http://dl.google.com/eclipse/plugin/ 4.4 o 4.3

  • Libgdx ScrollPane - ¿No se desplaza?
  • ¿Cómo libgdx detecta la presencia del teclado?
  • Acciones de los actores en libgdx
  • LibGDX FreeType fuente borrosa
  • Error al migrar el proyecto Libgdx de Eclipse a Android Studio
  • TexturePacker de LibGDX con gradle
  • Múltiples montajes en un cuerpo o múltiples cuerpos?
  • "No ha especificado una vista para utilizarla como contenido para ventanas emergentes"
  • Dibujo de una forma transparente en libGDX como actor?
  • La mejor manera de detectar el objeto tocado (moviéndose) de la colección en libgdx
  • Uso de scene2d.ui con libgdx: ¿De dónde proviene la piel?
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.